ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.60 by root, Mon Jan 2 15:35:43 2006 UTC vs.
Revision 1.63 by root, Wed Jan 4 05:24:55 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLARCHLIB IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
4320 4320
4321MALLOC_TYPE=S 4321MALLOC_TYPE=S
4322 4322
4323support_addstrings=no 4323support_addstrings=no
4324support_frills=yes 4324support_frills=yes
4325support_inheritpixmap=no 4325support_inheritpixmap=yes
4326support_tinting=yes 4326support_tinting=yes
4327support_fading=yes 4327support_fading=yes
4328support_keepscrolling=yes 4328support_keepscrolling=yes
4329support_selectionscrolling=yes 4329support_selectionscrolling=yes
4330support_menubar=no 4330support_menubar=no
4338support_scroll_rxvt=yes 4338support_scroll_rxvt=yes
4339support_scroll_next=yes 4339support_scroll_next=yes
4340support_scroll_xterm=yes 4340support_scroll_xterm=yes
4341support_scroll_plain=yes 4341support_scroll_plain=yes
4342support_xim=yes 4342support_xim=yes
4343support_xpm=no 4343support_xpm=yes
4344support_xft=yes 4344support_xft=yes
4345support_unicode3=no 4345support_unicode3=no
4346support_combining=yes 4346support_combining=yes
4347support_8bitctrls=no 4347support_8bitctrls=no
4348support_iso14755=yes 4348support_iso14755=yes
4349support_styles=yes 4349support_styles=yes
4350support_perl=no 4350support_perl=yes
4351codesets=all 4351codesets=all
4352 4352
4353 4353
4354if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
4355 4355
12185 12185
12186fi 12186fi
12187 12187
12188if test x$support_xft = xyes; then 12188if test x$support_xft = xyes; then
12189 LIBS="$LIBS `pkg-config xft --libs`" 12189 LIBS="$LIBS `pkg-config xft --libs`"
12190 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
12191 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12190 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12192 12191
12193 12192
12194for ac_header in X11/Xft/Xft.h 12193for ac_header in X11/Xft/Xft.h
12195do 12194do
12739 12738
12740 echo "$as_me:$LINENO: checking for $PERL suitability" >&5 12739 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12741echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6 12740echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12742 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then 12741 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12743 12742
12743 save_CXXFLAGS="$CXXFLAGS"
12744 save_LIBS="$LIBS"
12745 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12746 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12747 cat >conftest.$ac_ext <<_ACEOF
12748/* confdefs.h. */
12749_ACEOF
12750cat confdefs.h >>conftest.$ac_ext
12751cat >>conftest.$ac_ext <<_ACEOF
12752/* end confdefs.h. */
12753
12754#include <EXTERN.h>
12755#include <perl.h>
12756#include <XSUB.h>
12757
12758int
12759main ()
12760{
12761
12762 PerlInterpreter *perl = perl_alloc ();
12763
12764 ;
12765 return 0;
12766}
12767_ACEOF
12768rm -f conftest.$ac_objext conftest$ac_exeext
12769if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12770 (eval $ac_link) 2>conftest.er1
12771 ac_status=$?
12772 grep -v '^ *+' conftest.er1 >conftest.err
12773 rm -f conftest.er1
12774 cat conftest.err >&5
12775 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12776 (exit $ac_status); } &&
12777 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12778 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12779 (eval $ac_try) 2>&5
12780 ac_status=$?
12781 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12782 (exit $ac_status); }; } &&
12783 { ac_try='test -s conftest$ac_exeext'
12784 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12785 (eval $ac_try) 2>&5
12786 ac_status=$?
12787 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12788 (exit $ac_status); }; }; then
12789 rxvt_perl_link=yes
12790else
12791 echo "$as_me: failed program was:" >&5
12792sed 's/^/| /' conftest.$ac_ext >&5
12793
12794rxvt_perl_link=no
12795fi
12796rm -f conftest.err conftest.$ac_objext \
12797 conftest$ac_exeext conftest.$ac_ext
12798 CXXFLAGS="$save_CXXFLAGS"
12799 LIBS="$save_LIBS"
12800
12801 if test x$rxvt_perl_link = xyes; then
12802 echo "$as_me:$LINENO: result: ok" >&5
12803echo "${ECHO_T}ok" >&6
12804
12744cat >>confdefs.h <<\_ACEOF 12805cat >>confdefs.h <<\_ACEOF
12745#define ENABLE_PERL 1 12806#define ENABLE_PERL 1
12746_ACEOF 12807_ACEOF
12747 12808
12748 IF_PERL= 12809 IF_PERL=
12749 PERL_O=rxvtperl.o 12810 PERL_O=rxvtperl.o
12750 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`" 12811 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12751 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`" 12812 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12752 PERLARCHLIB="`$PERL -MConfig -e 'print $Config{archlib}'`" 12813 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12814 else
12815 support_perl=no
12753 echo "$as_me:$LINENO: result: ok" >&5 12816 echo "$as_me:$LINENO: result: no, unable to link" >&5
12754echo "${ECHO_T}ok" >&6 12817echo "${ECHO_T}no, unable to link" >&6
12818 fi
12755 else 12819 else
12756 { { echo "$as_me:$LINENO: error: no working perl found" >&5 12820 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12757echo "$as_me: error: no working perl found" >&2;} 12821echo "$as_me: error: no working perl found" >&2;}
12758 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; } 12822 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12823 support_perl=no
12759 fi 12824 fi
12760fi 12825fi
12761 12826
12762 12827
12763 12828
13555s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13620s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13556s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13621s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13557s,@PERL@,$PERL,;t t 13622s,@PERL@,$PERL,;t t
13558s,@PERLLIB@,$PERLLIB,;t t 13623s,@PERLLIB@,$PERLLIB,;t t
13559s,@PERLFLAGS@,$PERLFLAGS,;t t 13624s,@PERLFLAGS@,$PERLFLAGS,;t t
13560s,@PERLARCHLIB@,$PERLARCHLIB,;t t 13625s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13561s,@IF_PERL@,$IF_PERL,;t t 13626s,@IF_PERL@,$IF_PERL,;t t
13562s,@PERL_O@,$PERL_O,;t t 13627s,@PERL_O@,$PERL_O,;t t
13563s,@DEBUG@,$DEBUG,;t t 13628s,@DEBUG@,$DEBUG,;t t
13564s,@DINCLUDE@,$DINCLUDE,;t t 13629s,@DINCLUDE@,$DINCLUDE,;t t
13565s,@DLIB@,$DLIB,;t t 13630s,@DLIB@,$DLIB,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines